Bug 160423 - Implement nested rest destructuring w.r.t the ES7 spec
Summary: Implement nested rest destructuring w.r.t the ES7 spec
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Saam Barati
URL:
Keywords:
Depends on:
Blocks: 160392
  Show dependency treegraph
 
Reported: 2016-08-01 13:47 PDT by Saam Barati
Modified: 2016-08-03 00:52 PDT (History)
12 users (show)

See Also:


Attachments
patch (225.02 KB, patch)
2016-08-02 18:21 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
patch (225.01 KB, patch)
2016-08-02 18:29 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
patch (225.05 KB, patch)
2016-08-02 18:36 PDT, Saam Barati
fpizlo: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
patch for landing (224.96 KB, patch)
2016-08-02 23:51 PDT, Saam Barati
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saam Barati 2016-08-01 13:47:10 PDT
...
Comment 1 Saam Barati 2016-08-02 18:21:56 PDT
Created attachment 285175 [details]
patch
Comment 2 Saam Barati 2016-08-02 18:29:42 PDT
Created attachment 285179 [details]
patch

rebased
Comment 3 Saam Barati 2016-08-02 18:36:34 PDT
Created attachment 285181 [details]
patch
Comment 4 WebKit Commit Bot 2016-08-02 19:37:01 PDT
Comment on attachment 285181 [details]
patch

Rejecting attachment 285181 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-02', 'validate-changelog', '--check-oops', '--non-interactive', 285181, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

ChangeLog entry in JSTests/ChangeLog is not at the top of the file.

Full output: http://webkit-queues.webkit.org/results/1801882
Comment 5 Saam Barati 2016-08-02 23:51:13 PDT
Created attachment 285204 [details]
patch for landing
Comment 6 WebKit Commit Bot 2016-08-03 00:52:01 PDT
Comment on attachment 285204 [details]
patch for landing

Clearing flags on attachment: 285204

Committed r204078: <http://trac.webkit.org/changeset/204078>
Comment 7 WebKit Commit Bot 2016-08-03 00:52:07 PDT
All reviewed patches have been landed.  Closing bug.